import { useI18n as useVueI18n } from 'vue-i18n'
import { useI18nStore } from '@/stores/modules/i18n'

export function useI18n() {
	const { t, locale, availableLocales } = useVueI18n()
	const i18nStore = useI18nStore()

	return {
		t,
		locale,
		availableLocales,
		setLocale: i18nStore.setLocale,
		currentLocale: i18nStore.currentLocale,
		localeLabel: i18nStore.localeLabel,
	}
}
